# Visualization
TKV2d
Graphic2d

# Graphic2d_CircleMarker Class Reference

The primitive CircleMarker
Every marker takes a reference point as an argument in
its constructor. CircleMarker and EllipsMarker take
another point as the center and PolylineMarker takes the
first point of its list as its origin.
The coordinates of the centre or origin point are offsets
with respect to the reference point.
.

`#include <Graphic2d_CircleMarker.hxx>`

Inheritance diagram for Graphic2d_CircleMarker:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_CircleMarker (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length aXPosition, const Quantity_Length aYPosition, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Radius)
| Creates a complete circle. The reference point is <axposition>, <ayposition> The center is <x>, <y>. The radius is <radius>. Warning: Raises CircleDefinitionError if the radius is null. .
Standard_EXPORT | Graphic2d_CircleMarker (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length aXPosition, const Quantity_Length aYPosition, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Radius, const Quantity_PlaneAngle Alpha, const Quantity_PlaneAngle Beta)
| Creates an arc. The reference point is <axposition>, <ayposition> The center is <x>, <y>. The radius is <radius>. Angles are measured counterclockwise with 0 radian at 3 o'clock. Warning: Raises CircleDefinitionError if the radius is null. .
Standard_EXPORT void | Center (Quantity_Length &X, Quantity_Length &Y) const
| returns the coordinates of center of the circle marker
Standard_EXPORT Quantity_Length | Radius () const
| returns the radius of this circle marker
Standard_EXPORT Quantity_PlaneAngle | FirstAngle () const
| returns the first angle of the arc marker
Standard_EXPORT Quantity_PlaneAngle | SecondAngle () const
| returns the second angle of the arc marker
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Retrieve (Aspect_IFStream &anIFStream, const Handle(Graphic2d_GraphicObject)&aGraphicObject)

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the circle <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the circle marker <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the circle marker <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the circle <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myRadius
Standard_ShortReal | myFirstAngle
Standard_ShortReal | mySecondAngle
Standard_Boolean | myisArc

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_CircleMarker::Graphic2d_CircleMarker | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | aXPosition,
|  | const Quantity_Length | aYPosition,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Radius
| ) |

Standard_EXPORT Graphic2d_CircleMarker::Graphic2d_CircleMarker | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | aXPosition,
|  | const Quantity_Length | aYPosition,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Radius,
|  | const Quantity_PlaneAngle | Alpha,
|  | const Quantity_PlaneAngle | Beta
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic2d_CircleMarker::Center | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

Standard_EXPORT void Graphic2d_CircleMarker::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_CircleMarker::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_CircleMarker::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT Quantity_PlaneAngle Graphic2d_CircleMarker::FirstAngle | ( |  | ) | const

Standard_EXPORT const Graphic2d_CircleMarker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_VectorialMarker.

Standard_EXPORT Standard_Boolean Graphic2d_CircleMarker::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT Quantity_Length Graphic2d_CircleMarker::Radius | ( |  | ) | const

static Standard_EXPORT void Graphic2d_CircleMarker::Retrieve | ( | Aspect_IFStream & | anIFStream,
|  | const Handle(Graphic2d_GraphicObject)& | aGraphicObject
| ) | `[static]`

virtual Standard_EXPORT void Graphic2d_CircleMarker::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Quantity_PlaneAngle Graphic2d_CircleMarker::SecondAngle | ( |  | ) | const

## Field Documentation

Standard_ShortReal Graphic2d_CircleMarker::myFirstAngle `[private]`

Standard_Boolean Graphic2d_CircleMarker::myisArc `[private]`

Standard_ShortReal Graphic2d_CircleMarker::myRadius `[private]`

Standard_ShortReal Graphic2d_CircleMarker::mySecondAngle `[private]`

Standard_ShortReal Graphic2d_CircleMarker::myX `[private]`

Standard_ShortReal Graphic2d_CircleMarker::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_CircleMarker.hxx